2018-12-18 23:46 UTC


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000132Branch 0.2.1-FINALBugpublic2016-11-23 10:10
ReporterQuix0r 
Assigned ToQuix0r 
PriorityurgentSeveritycrashReproducibilityrandom
StatusclosedResolutionfixed 
PlatformPHP5-LatestOSLinuxOS Version2.6
Product Version0.2.1-FINAL 
Target Version0.2.1-FINALFixed in Version0.2.1-FINAL 
Summary0000132: Meldung "Extension foo has empty version!"
DescriptionMit der kommenden Revision wird die Funktion GET_EXT_VERSION() restriktiver. Es kann nun einfach nicht mehr GET_EXT_VERSION('foo') ohne ein vorheriges EXT_IS_ACTIVE('foo') aufgerufen werden.

Der Grund war, dass an einigen Stellen GET_EXT_VERSION() unsauber zum Ueberpruefen benutzt wurde, ob eine Erweiterung installiert ist. Das ist mit den beiden Funktionen isExtensionInstalled() (NICHT VERWENDEN!) und EXT_IS_INSTALLED() implementiert. Der Code sollte auf EXT_IS_INSTALLED() an den besagten Stellen umgebaut werden.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0000581

Quix0r (administrator)

Damit diese Tickets nicht zu Dauertickets werden, schlie├če ich sie mal. Sie tauchten auch nur stellenweise bei der Entwicklung auf.

~0000698

Quix0r (administrator)

Und zu damit.
+Notes

-Issue History
Date Modified Username Field Change
2009-10-14 19:35 Quix0r New Issue
2009-10-14 19:35 Quix0r Status new => assigned
2009-10-14 19:35 Quix0r Assigned To => Quix0r
2009-10-14 19:36 Quix0r Projection none => minor fix
2009-10-14 19:36 Quix0r ETA none => < 1 day
2009-11-25 21:56 Quix0r Fixed in Version => 0.2.1-FINAL
2010-05-28 16:27 Quix0r Build SVN-HEAD => 0.2.1-FINAL
2010-05-28 16:31 Quix0r Product Version => 0.2.1-FINAL
2010-06-08 01:37 Quix0r Fixed in Version 0.2.1-FINAL =>
2011-11-08 06:59 Quix0r Severity block => crash
2012-10-08 10:14 Quix0r Note Added: 0000581
2012-10-08 10:14 Quix0r Status assigned => resolved
2012-10-08 10:14 Quix0r Fixed in Version => 0.2.1-FINAL
2012-10-08 10:14 Quix0r Resolution open => fixed
2016-11-23 10:10 Quix0r Note Added: 0000698
2016-11-23 10:10 Quix0r Status resolved => closed
+Issue History